from rest_framework import serializers
from rest_framework.serializers import ListSerializer

from basic.models import Menu, RouterMenu, GroupRouterMenu


class MenuSerializer(serializers.ModelSerializer):
    class Meta:
        model = Menu
        list_serializer = ListSerializer
        fields = '__all__'


class RouterMenuSerializer(serializers.ModelSerializer):
    class Meta:
        model = RouterMenu
        list_serializer = ListSerializer
        fields = '__all__'


class GroupRouterMenuSerializer(serializers.ModelSerializer):
    class Meta:
        model = GroupRouterMenu
        list_serializer = ListSerializer
        fields = '__all__'
